package com.diagbot.dto;

import com.diagbot.enums.AccessTypeEnum;
import com.diagbot.enums.ChargeTypeEnum;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 用户更多服务出参类
 * @author: wangyu
 * @time: 2018/9/29 15:10
 */
@Getter
@Setter
public class ProductLineDTO {
    /**
     * 产品id
     */
    private Long id;
    /**
     * 产品名称
     */
    private String name;
    /**
     * 产品介绍
     */
    private String decription;

    /**
     * 计费方式
     */
    private String chargeType;
    /**
     * 接入方式（1：嵌入式，2：接口方式，3：online）
     */
    private String accessType;

    /**
     * 产品状态
     */
    private Integer productAudit;

    /**
     * list格式返回给前台
     * @return
     */
    public String[] getAccessType() {
        String[] strs =accessType.split(",");
        List<String> list =new ArrayList();
        for (int i =0;i<strs.length;i++){
            list.add(AccessTypeEnum.getName(Integer.valueOf(strs[i])));
        }
        String[] strs1 =new String[list.size()];
        return list.toArray(strs1);
    }
    /**
     * Map格式返回给前台
     * @return
     */
    /*public Map getAccessType(){
        Map map = new HashMap();
        String[] strs =accessType.split(",");
        List<String> list =new ArrayList();
        for (int i =0;i<strs.length;i++){
            map.put(Integer.valueOf(strs[i]), AccessTypeEnum.getName(Integer.valueOf(strs[i])));
        }
        return map;
    }*/

    public void setAccessType(String accessType) {
        this.accessType = accessType;
    }

    /**
     * list格式返回给前台
     * @return
     */
    public String[] getChargeType() {
        String[] strs =chargeType.split(",");
        List<String> list =new ArrayList();
        for (int i =0;i<strs.length;i++){
            list.add(ChargeTypeEnum.getName(Integer.valueOf(strs[i])));
        }
        String[] strs1 =new String[list.size()];
        return list.toArray(strs1);
    }

    /**
     * Map格式返回给前台
     * @return
     */
   /* public Map getChargeType(){
        Map map = new HashMap();
        String[] strs =chargeType.split(",");
        for (int i =0;i<strs.length;i++){
            map.put(Integer.valueOf(strs[i]),ChargeTypeEnum.getName(Integer.valueOf(strs[i])));
        }
        return map;
    }*/

    public void setChargeType(String chargeType) {
        this.chargeType = chargeType;
    }
}
